Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413408 - ct_helper_ftp not working
Summary: ct_helper_ftp not working
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: conntrack-tools
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1585977
TreeView+ depends on / blocked
 
Reported: 2017-01-15 20:32 UTC by redhat
Modified: 2019-05-28 23:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1585977 (view as bug list)
Environment:
Last Closed: 2019-05-28 23:27:43 UTC
Type: Bug


Attachments (Terms of Use)

Description redhat 2017-01-15 20:32:16 UTC
Description of problem:
Adding the helper for FTP to the connection tracking subsystem is rejected with an error message.

Version-Release number of selected component (if applicable):
$ nfct list version
nfct v1.4.3: utility for the Netfilter's Connection Tracking System
$ rpm -q conntrack-tools
conntrack-tools-1.4.3-1.fc25.x86_64


How reproducible:
Run the command listed in /usr/share/doc/conntrack-tools/doc/helper/conntrackd.conf to load the ftp helper module.

Steps to Reproduce:
1. nfct add helper ftp inet tcp
2.
3.

Actual results:
 /usr/lib64/conntrack-tools//ct_helper_ftp.so: /usr/lib64/conntrack-tools//ct_helper_ftp.so: undefined symbol: cthelper_get_addr_src
 nfct v1.4.3: that helper is not supported


Expected results:
Helper module loaded without error message

Additional info:
strace'ing the execution doesn't show neither failed operation nor errno code.

Comment 1 Paul Wouters 2017-02-27 20:19:14 UTC
I cannot reproduce this. Can you confirm this is still an issue with 1.4.3 and 1.4.4 and a recent kernel ?

Comment 2 redhat 2017-02-28 16:25:39 UTC
Problem still persists:

# nfct add helper ftp inet tcp
/usr/lib64/conntrack-tools//ct_helper_ftp.so: /usr/lib64/conntrack-tools//ct_helper_ftp.so: undefined symbol: cthelper_get_addr_src
nfct v1.4.3: that helper is not supported
# uname -r
4.9.10-200.fc25.x86_64

Comment 3 Fedora End Of Life 2017-11-16 19:05:21 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 redhat 2017-11-17 16:20:58 UTC
Retested with FC26 and conntrack-tools conntrack-tools.x86_64 1.4.4-3.fc26 on kernel 4.13.12-200.fc26.x86_64.

# nfct add helper ftp inet tcp
/usr/lib64/conntrack-tools//ct_helper_ftp.so: /usr/lib64/conntrack-tools//ct_helper_ftp.so: undefined symbol: cthelper_get_addr_src
nfct v1.4.4: that helper is not supported

Problem has not been resolved!

Comment 5 Fedora End Of Life 2018-05-03 08:46:12 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 11:22:03 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 redhat 2018-12-07 17:05:29 UTC
When will this be fixed?

Comment 8 Fedora Update System 2018-12-10 23:48:20 UTC
conntrack-tools-1.4.4-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-94bc30bc23

Comment 9 Paul Wouters 2018-12-10 23:49:56 UTC
can you test this update in testing for me?

Comment 10 redhat 2018-12-13 16:40:45 UTC
# rpm -Uv conntrack-tools-1.4.4-9.fc28.x86_64.rpm 
Verifying packages...
Pakete vorbereiten …
conntrack-tools-1.4.4-9.fc28.x86_64
# nfct add helper ftp inet tcp
/usr/lib64/conntrack-tools//ct_helper_ftp.so: /usr/lib64/conntrack-tools//ct_helper_ftp.so: undefined symbol: cthelper_get_addr_src
nfct v1.4.4: that helper is not supported
# rpm -q conntrack-tools
conntrack-tools-1.4.4-9.fc28.x86_64

Still the same error.

Comment 11 Paul Wouters 2018-12-14 17:45:14 UTC
you are right. odd. The same fix worked for RHEL7. I'll look further in the difference of hardening :/

Comment 12 Ben Cotton 2019-05-02 19:22:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-02 20:07:27 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 23:27:43 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.